Get editor data for a document
GET /v1/documents/{slug}
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The document slug
Example
cybergov-charterResponses
Section titled “ Responses ”Document editor data
A structure that contains information about a document, including the document’s meta information
object
The meta information of the document
object
A version number that follows the semantic versioning scheme.
Example
# use std::str::FromStr;
# use backend::views::document::Version;
let version_str = "1.0.0";
let version: Version = Version::from_str(version_str).unwrap();
assert_eq!(version.to_string(), "1.0.0");Example
cybersecurity-policyThe document has not been initialized yet. It is possible for the document to have details, meaning that a proposal is “open” to initialize it.
object
The initial proposal is being opened
object
The initial proposal is being opened
object
A version number that follows the semantic versioning scheme.
Example
# use std::str::FromStr;
# use backend::views::document::Version;
let version_str = "1.0.0";
let version: Version = Version::from_str(version_str).unwrap();
assert_eq!(version.to_string(), "1.0.0");The document has been initialized and is ready for use
object
The document has been initialized and is ready for use
object
A version number that follows the semantic versioning scheme.
Example
# use std::str::FromStr;
# use backend::views::document::Version;
let version_str = "1.0.0";
let version: Version = Version::from_str(version_str).unwrap();
assert_eq!(version.to_string(), "1.0.0");The root node of the document
object
A representation of a all possible node types in the document. This is useful because it allows us to have a single enum that can be used in vectors
object
A representation of a all possible node types in the document. This is useful because it allows us to have a single enum that can be used in vectors
object
A representation of a all possible node types in the document. This is useful because it allows us to have a single enum that can be used in vectors
object
A representation of a node in the document.
object
A representation of a all possible node types in the document. This is useful because it allows us to have a single enum that can be used in vectors
object
A representation of a all possible node types in the document. This is useful because it allows us to have a single enum that can be used in vectors
object
A representation of a all possible node types in the document. This is useful because it allows us to have a single enum that can be used in vectors
object
The style of the group.
object
A representation of a all possible node types in the document. This is useful because it allows us to have a single enum that can be used in vectors
object
This is a representation of a “selector”, which gives an organization the capability of selecting what the value of a selector is
object
TODO: Template should not have selected_option. A new type should be created for a future EditorNode
A representation of a all possible node types in the document. This is useful because it allows us to have a single enum that can be used in vectors
object
object
object
object
The style of the group.
object
A representation of a all possible node types in the document. This is useful because it allows us to have a single enum that can be used in vectors
object
This is a representation of a “selector”, which gives an organization the capability of selecting what the value of a selector is
object
TODO: Template should not have selected_option. A new type should be created for a future EditorNode
A representation of a all possible node types in the document. This is useful because it allows us to have a single enum that can be used in vectors
object
object
object
A representation of a node in the document.
object
A representation of a all possible node types in the document. This is useful because it allows us to have a single enum that can be used in vectors
object
A representation of a all possible node types in the document. This is useful because it allows us to have a single enum that can be used in vectors
object
A representation of a all possible node types in the document. This is useful because it allows us to have a single enum that can be used in vectors
object
The style of the group.
object
A representation of a all possible node types in the document. This is useful because it allows us to have a single enum that can be used in vectors
object
This is a representation of a “selector”, which gives an organization the capability of selecting what the value of a selector is
object
TODO: Template should not have selected_option. A new type should be created for a future EditorNode
A representation of a all possible node types in the document. This is useful because it allows us to have a single enum that can be used in vectors
object
object
Document not found